Sign in to follow this  
A3 610

Vox Atc Flight Plan Trainer Problem

Recommended Posts

Hello everyone,

 

I tried to contact voxatc but i get a proccessing error while doing so...here i am.

 

I have downloaded and installed your software to test it. As written in the voxatc help documentation i try to open the flight plan trainer but as soon as i run it i get an error that looks like this...

 

So i wanted to know if there is a fix available or not. I am running windows 7 ultimate edition.

 

Thanks for your time

 

 

 

 

See the end of this message for details on invoking 

just-in-time (JIT) debugging instead of this dialog box.

 

************** Exception Text **************

System.BadImageFormatException: Could not load file or assembly 'Interop.SpeechLib, Version=5.3.0.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. An attempt was made to load a program with an incorrect format.

File name: 'Interop.SpeechLib, Version=5.3.0.0, Culture=neutral, PublicKeyToken=null'

   at VATrainer.Form1.Form1_Activated(Object sender, EventArgs e)

   at System.Windows.Forms.Form.WmActivate(Message& m)

   at System.Windows.Forms.Form.WndProc(Message& m)

   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

 

WRN: Assembly binding logging is turned OFF.

To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.

Note: There is some performance penalty associated with assembly bind failure logging.

To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].

 

 

 

************** Loaded Assemblies **************

mscorlib

    Assembly Version: 4.0.0.0

    Win32 Version: 4.0.30319.17929 built by: FX45RTMREL

 

----------------------------------------

VATrainer

    Assembly Version: 1.0.0.0

    Win32 Version: 1.0.0.0

 

----------------------------------------

System.Windows.Forms

    Assembly Version: 4.0.0.0

    Win32 Version: 4.0.30319.17929 built by: FX45RTMREL

 

----------------------------------------

System.Drawing

    Assembly Version: 4.0.0.0

    Win32 Version: 4.0.30319.17929 built by: FX45RTMREL

 

----------------------------------------

System

    Assembly Version: 4.0.0.0

    Win32 Version: 4.0.30319.17929 built by: FX45RTMREL

 

----------------------------------------

 

************** JIT Debugging **************

To enable just-in-time (JIT) debugging, the .config file for this

application or computer (machine.config) must have the

jitDebugging value set in the system.windows.forms section.

The application must also be compiled with debugging

enabled.

 

For example:

 

<configuration>

    <system.windows.forms jitDebugging="true" />

</configuration>

 

When JIT debugging is enabled, any unhandled exception

will be sent to the JIT debugger registered on the computer

rather than be handled by this dialog box.

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Based on the error message received it looks like something wrong with your voice recognition stuff.  I might suggest that you start first by making sure that the voice recognition works in Windows before you try to run voxatc.  Also make sure you have not loaded extra voice files yet - as they can cause errors too.  Get the base package working on your system and then add voices.

 

This looks like a windows error problem to me. 

 

Once you fix windows error problem vox should work.

 

John

Share this post


Link to post
Share on other sites

John,

 

Is the Flight Plan Trainer working on your syatem?

Share this post


Link to post
Share on other sites

Well i tried to do as John said but when i downloaded the file needed to ''repair'' my .dll norton said it was a virus...huh?

 

Also, one more thing that i can say is that i have windows 7 in a different language but i downloaded and installed the English language pack and have English US selected on the speech recogn program!

 

Thanks again for your time helping this

Share this post


Link to post
Share on other sites

Yikes...didn't mean for you to download a virus!

 

I actually didn't run that again as it appeared all my voice settings remained in place from the old version and it worked well.

 

I just fired up the system and gave it a try -- NOPE - Same Error on My Computer.

 

Sorry A3 610, I should have tested it on my own computer before I opened my big mouth.

 

John

Share this post


Link to post
Share on other sites

It is ok! Do not worry.

 

If someone has a solution please step ahead!

 

Also, from my understading training voxatc through the ''flight plan trainer'' is crucial so that voxatc can understand you right? Because i tried 2 times voxatc till now and always replied to me "last aircraft please say again"

 

Thanks again

Share this post


Link to post
Share on other sites

Thanks A3,

 

I think they are important for improved recognition, but interesting thing - I obviously failed to train after this latest release. I also deleted the entire voxatc install folder under program files for the old version before installing the new version. I had no "say again" Issues on this new test flight. It might be saving the voice files elsewhere though - as it did remember my free voice addon assignments.

 

I did find other things with voice settings to improve things though on earlier versions. First I used the sound recorder utility in windows accessories to record from my mic to ensure it played back ok, adjusting volume controls until it sounded good. I found that too low was bad and too high volume caused distortion and was also bad. I also learned from flying on line with friends that my mic level dropped to low level on longer transmission. Checking the forums I found that turning off special sound features in mic recorder properties setting stopped that from happening.

 

Otherwise the only solution I can think of till they fix trainer on this release would be to train on earlier version (see links to the 6.2 version download under ...6.34 has major issues post). Then use 6.2 - which is pretty good - or update to this newest one after training.

 

The trainer did work for me on that version :)

Share this post


Link to post
Share on other sites

Just for Info:

 

I got an e-mail from the developer this morning.

He will have a fix in a few days.

Share this post


Link to post
Share on other sites

Confirm!

 

He responded to me too and will publish a fix in a few days i guess!

 

Thanks everyone for the answers! Really appreciate it!

Share this post


Link to post
Share on other sites

The new version was just released and i confirm that flight plan trainer is working!

 

Thanks everyone for the assistance

Share this post


Link to post
Share on other sites

For me the flight plan trainer still doesn't work. I get a crash:

 

Hi!

I am experiencing a crash of the flight plan trainer. This happens when I click the general training button. See details below. Please advise.



See the end of this message for details on invoking
just-in-time (JIT) debugging instead of this dialog box.

************** Exception Text **************
System.BadImageFormatException: Could not load file or assembly 'Interop.SpeechLib, Version=5.3.0.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies. An attempt was made to load a program with an incorrect format.
File name: 'Interop.SpeechLib, Version=5.3.0.0, Culture=neutral, PublicKeyToken=null'
   at VATrainer.Form1.Form1_Activated(Object sender, EventArgs e)
   at System.Windows.Forms.Form.WmActivate(Message& m)
   at System.Windows.Forms.Form.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].



************** Loaded Assemblies **************
mscorlib
    Assembly Version: 4.0.0.0
    Win32 Version: 4.0.30319.18408 built by: FX451RTMGREL

----------------------------------------
VATrainer
    Assembly Version: 1.0.0.0
    Win32 Version: 1.0.0.0

----------------------------------------
System.Windows.Forms
    Assembly Version: 4.0.0.0
    Win32 Version: 4.0.30319.18408 built by: FX451RTMGREL

----------------------------------------
System.Drawing
    Assembly Version: 4.0.0.0
    Win32 Version: 4.0.30319.18408 built by: FX451RTMGREL

----------------------------------------
System
    Assembly Version: 4.0.0.0
    Win32 Version: 4.0.30319.18408 built by: FX451RTMGREL

----------------------------------------
Accessibility
    Assembly Version: 4.0.0.0
    Win32 Version: 4.0.30319.18408 built by: FX451RTMGREL

----------------------------------------

************** JIT Debugging **************
To enable just-in-time (JIT) debugging, the .config file for this
application or computer (machine.config) must have the
jitDebugging value set in the system.windows.forms section.
The application must also be compiled with debugging
enabled.

For example:

<configuration>
    <system.windows.forms jitDebugging="true" />
</configuration>

When JIT debugging is enabled, any unhandled exception
will be sent to the JIT debugger registered on the computer
rather than be handled by this dialog box.

 


Oh, and on top of that the contact form on the web site does not work ("processing error")

Share this post


Link to post
Share on other sites

Are you on ver 6.46 ?

 

I think you are the only one having a problem?

Share this post


Link to post
Share on other sites

My mistake. I did not uninstall the previous version before installing the latest one.

 

After uninstalling and reinstalling, the trainer no longer crashes. I have not had the chance yet to actually go through the training and test FSX with the new version. When I get around to doing that I'll report any problems if there are any.

 

It would be nice if future versions of the installer would warn you about an existing installation, or would automatically uninstall the existing version before proceeding.

Share this post


Link to post
Share on other sites

"It would be nice if future versions of the installer would warn you about an existing installation, or would automatically uninstall the existing version before proceeding."

 

Updates (all developer's products) just normally run the updater.

 

Full products (all developer's products) uninstall the old first.

 

But, in all cases there should be, IMO, a readme.txt file explaining exactly the steps to do.

 

A lot of times I have "asked" first as a precaution.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this